Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.jsp
Class TurbineJsp

    java.lang.Object
      org.apache.turbine.services.jsp.TurbineJsp

    public abstract class TurbineJsp

extends Object

Facade class for the Jsp Service.

Author:
  Henning P. Schmiedehausen, Peter Courcoux

Constructor Summary
`TurbineJsp()`

Method Summary
`static void` | `addDefaultObjects(PipelineData pipelineData)` Adds some convenience objects to the request.
`static void` | `addDefaultObjects(RunData data)` Deprecated. Use the PipelineData version.
`static int` | `getDefaultBufferSize()` Returns the default buffer size of the JspService
`static String` | `getRelativeTemplateName(String template)` Searchs for a template in the default.template path[s] and returns the template name with a relative path which is required by javax.servlet.RequestDispatcher
`protected static JspService` | `getService()` Utility method for accessing the service implementation
`static void` | `handleRequest(PipelineData pipelineData, String templateName)` executes the JSP given by templateName.
`static void` | `handleRequest(PipelineData pipelineData, String templateName, boolean isForward)` executes the JSP given by templateName.
`static void` | `handleRequest(RunData data, String templateName)` Deprecated. Use the PipelineData version.
`static void` | `handleRequest(RunData data, String templateName, boolean isForward)` Deprecated. Use the PipelineData version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurbineJsp

    public TurbineJsp()

Method Detail

### getService

    protected static JspService getService()

  Utility method for accessing the service implementation

  Returns:
    a JspService implementation instance

### addDefaultObjects

    public static void addDefaultObjects(RunData data)

  Deprecated. Use the PipelineData version.

  Adds some convenience objects to the request. For example an instance of JspLink which can be used to generate links to other templates.

  Parameters:
    `data` - the turbine rundata object

### addDefaultObjects

    public static void addDefaultObjects(PipelineData pipelineData)

  Adds some convenience objects to the request. For example an instance of JspLink which can be used to generate links to other templates.

  Parameters:
    `data` - the turbine pipelinedData object

### handleRequest

    public static void handleRequest(RunData data,
                                     String templateName,
                                     boolean isForward)
                              throws TurbineException

  Deprecated. Use the PipelineData version.

  executes the JSP given by templateName.

  Parameters:
    `data` - A RunData Object
    `templateName` - The template to execute
    `isForward` - whether to perform a forward or include.
  Throws:
    `TurbineException` - If a problem occured while executing the JSP

### handleRequest

    public static void handleRequest(RunData data,
                                     String templateName)
                              throws TurbineException

  Deprecated. Use the PipelineData version.

  executes the JSP given by templateName.

  Parameters:
    `data` - A RunData Object
    `templateName` - The template to execute
  Throws:
    `TurbineException` - If a problem occured while executing the JSP

### handleRequest

    public static void handleRequest(PipelineData pipelineData,
                                     String templateName,
                                     boolean isForward)
                              throws TurbineException

  executes the JSP given by templateName.

  Parameters:
    `data` - A RunData Object
    `templateName` - The template to execute
    `isForward` - whether to perform a forward or include.
  Throws:
    `TurbineException` - If a problem occured while executing the JSP

### handleRequest

    public static void handleRequest(PipelineData pipelineData,
                                     String templateName)
                              throws TurbineException

  executes the JSP given by templateName.

  Parameters:
    `data` - A RunData Object
    `templateName` - The template to execute
  Throws:
    `TurbineException` - If a problem occured while executing the JSP

### getDefaultBufferSize

    public static int getDefaultBufferSize()

  Returns the default buffer size of the JspService

  Returns:
    The default buffer size.

### getRelativeTemplateName

    public static String getRelativeTemplateName(String template)

  Searchs for a template in the default.template path[s] and returns the template name with a relative path which is required by javax.servlet.RequestDispatcher

  Parameters:
    `template` - The name of the template to search for.
  Returns:
    the template with a relative path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.